#By: Benjamin Kibalo, March 2013
#Camera frame capture code for Raspbery Pi

def take_pic(save_file):
     from SimpleCV import Camera

     try:
         myCamera = Camera()  #set your camera to myCamera variable
         frame = myCamera.getImage()  #take a picture with myCamera
         frame.save(save_file) #save the image to the filename provided when the function was called
         print("picture capture successful!") #report to console that the capture was successful
         return 0

     except:
         print("picture capture FAILURE!")  #report an error to the console, but continue the script
         return 1

     #note: there may be an issue with the camera object after being called that it cannot be accessed again
     #this seems to be a problem with the USB side of the hardware.  I'll modify this code to work with the
     #raspberry pi provided camera as soon as I get my hands on one.  
   
     
